2006-07-22  Bruno Haible  <bruno@clisp.org>

	* srclist.txt: Resync printf-args.c, vasnprintf.c, localcharset.c,
	mkdtemp.c, config.rpath, lib-ld.m4, lib-link.m4, lib-prefix.m4,
	longdouble.m4, ssize_t.m4.

2006-06-15  Eric Blake  <ebb9@byu.net>

	* srclist.txt (ssize_t.m4): Lose sync.

2006-05-28  Karl Berry  <karl@gnu.org>

	* srclist.txt (printf-args.c): lose sync.

2006-05-08  Bruno Haible  <bruno@clisp.org>

	* srclist.txt (build-aux/config.rpath): different from latest release.

2006-04-24  Karl Berry  <karl@gnu.org>

	* srclist.txt (longdouble.m4): sync lost.

2006-03-22  Karl Berry  <karl@gnu.org>

	* srclist.txt (*setenv.[ch]): get from coreutils.
	* srclistvars.sh (COREUTILS): new var.

2006-03-01  Karl Berry  <karl@gnu.org>

	* srclist.txt (Copyright/*): new entries.

2006-01-25  Karl Berry  <karl@gnu.org>

	* srclist.txt (vasnprintf.c): sync lost.

2006-01-24  Karl Berry  <karl@gnu.org>

	* srclist.txt (argp-namefrob.h): sync lost.

2006-01-23  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Adjust to reflect glibc reorganization.
	This affects only comments.

2006-01-20  Karl Berry  <karl@gnu.org>

	* srclist.txt (argp-fmtstream.h, localcharset.c): comment out
	until changes propagate, I guess.

2005-10-14  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add glibc bug 321 for obstack.c, obstack.h.

2005-10-08  Simon Josefsson  <jas@extundo.com>

	* srclist.txt: Bug 1423 is closed, but 1439 remains.

2005-10-05  Simon Josefsson  <jas@extundo.com>

	* srclist.txt: Add glibc bug 1423 for md5.h.

2005-09-19  Derek Price  <derek@ximbiot.com>

	* srclist.txt: glibc's glob.h is now in lib/glob-libc.h.

2005-09-16  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Remove glibc bug 1033 and uncomment mktime.c.

2005-09-08  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Remove glibc bug 1061; it's been fixed.

2005-09-06  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add glibc bug 1302.

2005-09-03  Simon Josefsson  <jas@extundo.com>

	* srclist.txt: Add glibc bug 1293.

2005-09-02  Bruno Haible  <bruno@clisp.org>

	* srclist.txt: lib-link.m4 and lib-prefix.m4 currently have patches
	not yet found in the latest gettext release.

2005-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add glibc bugs 1285-1287.

2005-08-31  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add glibc bugs 1273, 1278-1282, 1284.

2005-08-25  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add glibc bugs 1241, 1245.

2005-08-24  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Remove glibc bug 1233 and add 1236, which supersedes it.
	Add glibc bugs 1237, 1238, 1240.  Comment out lib/regex.c.

2005-08-23  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add glibc bugs 1231-1233.

2005-08-20  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add glibc bugs 1220-1227.

2005-08-19  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Comment out $LIBCSRC/posix/regex_internal.c,
	$LIBCSRC/posix/regexec.c.
	Add glibc bug 1217 for regcomp.c.

2005-08-15  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Comment out $LIBCSRC/posix/regex.h.
	Add comments for each pending glibc patch.

2005-07-08  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Comment out regcomp.c, since we have a porting fix
	now.

2005-07-07  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add regcomp.c, regex.c, regex.h, regex_internal.c,
	regexec.c.
	Add regex_internal.h too, but as a comment, since the libc version
	is currently broken in gnulib mode.

2005-06-24  Derek Price  <derek@ximbiot.com>
	and Bruno Haible  <bruno@clisp.org>

	Remove stat module & update lstat.
	* srclist.txt (libc sources): Remove stat.

2005-05-29  Derek Price  <derek@ximbiot.com>

	* srclist.txt (glob_.h, glob.c): Add these files.

2005-05-10  Karl Berry  <karl@gnu.org>

	* srclist.txt (COPYING.LESSER): rename from COPYING.LIB.
	(COPYING.DOC): remove.

	* srclist-update: new FSF address.

2005-03-22  Bruno Haible  <bruno@clisp.org>

	* srclist.txt: Replace target directory 'config' with 'build-aux'.
	* config.guess, config.sub, config.rpath, depcomp, install-sh:
	* mdate-sh, missing, mkinstalldirs, texinfo.tex: Move to ../build-aux/.

2005-03-15  Karl Berry  <karl@gnu.org>

	* srclist.txt (config.rpath): from gettext.
	* config.rpath: update.

2005-02-22  Simon Josefsson  <jas@extundo.com>

	* srclist.txt: Sync iconvme.h, iconvme.c from libc.

2004-12-17  Jim Meyering  <jim@meyering.net>

	* install-sh: Use `(exit N); exit N', not `(exit N); exit'.
	Otherwise, install-sh could exit with improper exit status when
	exiting via a trapped interrupt.  Thanks to a report from Bob Proulx.

2004-11-12  Simon Josefsson  <jas@extundo.com>

	* srclist.txt: Add strtok_r.c, glibc bought our changes, but a
	small doc fix is still pending.

2004-11-02  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add mktime.c; glibc bought all our changes.

2004-10-10  Paul Eggert  <eggert@cs.ucla.edu>

	* srclistvars.sh: Add GNUSTANDARDS (for eggert only).

2004-10-04  Simon Josefsson  <jas@extundo.com>

	* srclist.txt: Add memmem from glibc.

2004-09-30  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Comment-out argp/argp.h, until we get the argp
	changes merged back into glibc.

2004-09-20  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Add getsubopt.c, since libc bought our changes.

2004-09-14  Karl Berry  <karl@gnu.org>

	* srclist.txt: unsync setenv.c, sigh.

2004-09-13  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Comment out argp-pvh.c.

2004-08-12  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Remove getopt.c, getopt.h (renamed to getopt_.h),
	getopt1.c.

2004-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist-update: Don't insist on "USA." before the close-comment,
	as libtool omits the period and puts the */ on a separate line.
	* srclist.txt: Add argz.c, argz_.h, argz.m4.
	* srclistvars.sh: Add LIBTOOL (for eggert only).

2004-05-18  Karl Berry  <karl@gnu.org>

	* srclist.txt: break link for vasnprintf.c.

2004-05-17  Paul Eggert  <eggert@cs.ucla.edu>

	* srclist.txt: Break link for argp-help.c and argp-parse.c until
	we can get this patch merged into glibc.

2004-04-21  Karl Berry  <karl@gnu.org>

	* srclist.txt (localcharset.c): break sync.

2004-03-09  Paul Eggert  <eggert@twinsun.com>

	* srclistvars.sh: Add GNUWWWLICENSES for eggert.
	* srclist.txt: Sync getopt with libc.  Add getopt_int.h.
	Bring back getopt.c, getopt.h, getopt1.c.

2004-02-23  Karl Berry  <karl@gnu.org>

	* srclistvars.sh (GNUORG) [karl]: redefine.
	* srclist.txt: add maintain/standards documents.

2004-02-16  Karl Berry  <karl@gnu.org>

	* mkinstalldirs, install-sh: update from automake.

2004-01-20  Karl Berry  <karl@gnu.org>

	* config.guess: update from config.

	* srclistvars.sh: GNUWWWLICENSES for karl.

2004-01-18  Karl Berry  <karl@gnu.org>

	* srclistvars.sh (GNUWWWLICENSES): new variable.
	* srclist.txt ({fdl,gpl,lgpl}.text): get from there.

2004-01-14  Karl Berry  <karl@gnu.org>

	* install-sh: update from automake.

2004-01-13  Karl Berry  <karl@gnu.org>

	* install-sh: update from automake.

2004-01-09  Karl Berry  <karl@gnu.org>

	* install-sh: update from automake.

2004-01-05  Karl Berry  <karl@gnu.org>

	* config.{sub,guess}: update from config.

2003-12-31  Karl Berry  <karl@gnu.org>

	* depcomp: update from automake.

2003-11-21  Karl Berry  <karl@gnu.org>

	* config.{sub,guess}: update from config.

2003-11-18  Karl Berry  <karl@gnu.org>

	* config.{sub,guess}: update from config.

	* (printf-{parse,args}.[ch]): sync broken, sigh.

2003-11-09  Karl Berry  <karl@gnu.org>

	* mkinstalldirs, depcomp, mdate-sh: update from automake.

2003-11-03  Karl Berry  <karl@gnu.org>

	* config.{guess,sub}: update from config.

2003-11-02  Karl Berry  <karl@gnu.org>

	* srclist.txt (vasprintf.c): sync broken, sigh.

2003-10-26  Karl Berry  <karl@gnu.org>

	* srclist.txt (COPYING.DOC): no longer available from
	/gd/gnuorg; don't know where the ultimate source is.

2003-10-18  Karl Berry  <karl@gnu.org>

	* config.guess: update from config.

2003-10-16  Karl Berry  <karl@gnu.org>

	* config.{guess,sub}: update from config.

2003-10-07  Karl Berry  <karl@gnu.org>

	* config.{guess,sub}: update from config.

2003-10-04  Karl Berry  <karl@gnu.org>

	* config.{guess,sub}: update from config.

2003-09-27  Karl Berry  <karl@gnu.org>

	* mkinstalldirs: update from automake.

2003-09-25  Karl Berry  <karl@gnu.org>

	* install-sh: update from automake.

2003-09-14  Karl Berry  <karl@gnu.org>

	* srclist.txt (strdup.c): disable for c89 changes.

2003-09-11  Bruno Haible  <bruno@clisp.org>

	* srclist.txt (setenv.c, unsetenv.c): Disable for the moment.

2003-09-09  Paul Eggert  <eggert@twinsun.com>

	* srclist.txt: Do not get getopt.h, getopt1.c, or regex.h from
	libc.

2003-09-08  Karl Berry  <karl@gnu.org>

	* config.sub, config.guess, srclistvars.sh: update from savannah
		config, forget about prep.

	* depcomp, missing: update from automake.

2003-08-16  Paul Eggert  <eggert@twinsun.com>

	* srclist.txt: Get regex.h, strdup.c, strtoll.c,
	strtoul.c from libc, undoing this 2003-08-12 change:
	<http://mail.gnu.org/archive/html/bug-gnulib/2003-08/msg00080.html>

2003-08-15  Paul Eggert  <eggert@twinsun.com>

	* srclist-update: Use three spaces, rather than tab, after '#'
	in shell-script copyright notices.  Suggested by Bruno Haible.
	Remove unnecessary parenthesization in regular expression.

2003-08-13  Paul Eggert  <eggert@twinsun.com>

	* srclist-update: Change update back to the old behavior, leaving
	whitespace alone.  Use one 'sed' command rather than a pipeline.
	(fixlicense): Now a variable, not a function.
	(remove_trailing_blanks): Remove.
	(fixfile): Don't invoke unexpand or cat, or remove trailing blanks.
	* config.guess, config.sub, install-sh, missing, texinfo.tex:
	Undo previous (whitespace-only) change.

2003-08-12  Paul Eggert  <eggert@twinsun.com>

	* srclist-update: Add copyright notice.
	(remove_id_lines, remove_trailing_blanks): New constants.
	(fixfile): Use them to normalize spacing a bit in copied files.
	* config.guess, config.sub, install-sh, missing, texinfo.tex:
	Normalize leading white space and remove trailing white space.

	* texinfo.tex: Sync with texinfo.

	* srclist.txt: Don't get regex.h, strdup.c, strtoll.c,
	strtoul.c from libc, to merge coreutils whitespace changes.

	* srclist.txt: Get the following m4 files from gettext:
	codeset.m4, gettext.m4, glibc21.m4, iconv.m4, intdiv0.m4,
	inttypes-pri.m4, lcmessage.m4, lib-ld.m4, lib-link.m4, lib-prefix.m4,
	longdouble.m4, nls.m4, po.m4, progtest.m4, signed.m4, wchar_t.m4,
	wint_t.m4.

2003-08-12  Karl Berry  <karl@gnu.org>

	* srclist.txt: can't sync vasnprintf.c any more, changes have been
	made.

2003-08-03  Karl Berry  <karl@gnu.org>

	* depcomp: update from automake.

2003-07-24    <karl@gnu.org>

	* missing: update from automake.

2003-07-23    <karl@gnu.org>

	* config.sub: update from prep.

2003-07-19    <karl@gnu.org>

	* config.sub: update from prep.

2003-07-17    <karl@gnu.org>

	* config.sub: update from prep.

2003-07-16    <karl@gnu.org>

	* srclist-update: was running fixlicense twice, which caused
		texinfo.tex to be nullified for some reason.  Simplify,
		$gplsrc is no longer needed as far as I can see?

2003-07-15  Paul Eggert  <eggert@twinsun.com>

	* srclist.txt: Get the following files from gettext-runtime/intl
	instead: config.charset, localcharset.c, localcharset.h, ref-add.sin,
	ref-del.sin.  From Bruno Haible.
	* srclist-update (fixfile): Change grep pattern again, since the
	previous fix didn't work (there was another trailing $).  Use
	'[$]' to escape the $s.

2003-07-15    <karl@gnu.org>

	* srclist-update (fixfile): Change grep pattern, since 'Id'
	gets expanded when surrounded by '$'.

2003-07-14  Paul Eggert  <eggert@twinsun.com>

	* srclist.txt: Add tons more gettext files.  $GETTEXT is now
	assumed to refer to the root of the most recent stable gettext version.
	* srclistvars.sh: Add defaults for eggert.
	* srclist-update: Convert LGPL to GPL in shell scripts, too.
	Match "This program" as well as "The program".  This is needed
	for gettext.

2003-07-09  Paul Eggert  <eggert@twinsun.com>

	* srclist.txt: Sort sublists.  Add $LIBCSRC/sysdeps/generic/strtoul.c.
	In comments, add more libc files that differ from gnulib for one
	reason or another; we'd like this list to be smaller but for now
	let's document what we have.

2003-07-08  Paul Eggert  <eggert@twinsun.com>

	* srclist-update: Port to POSIX 1003.1-2001 hosts by avoiding the
	use of GNU extensions.  Change "x=`eval echo $x`" to the shorter
	and sweeter "eval x=$x".
	* srclist.txt: Get lib/argp* from glibc.

2003-07-06    <karl@gnu.org>

	* depcomp: update from automake.
	* config.sub: update from prep.

2003-07-03    <karl@gnu.org>

	* config.guess: update from prep.

2003-06-26    <karl@gnu.org>

	* depcomp: update from automake.

2003-06-22    <karl@gnu.org>

	* srclist.txt: update mkinstalldirs from automake.
	* mkinstalldirs: update.

2003-06-18    <karl@gnu.org>

	* config.{guess,sub}: update from prep.

2003-06-07    <karl@gnu.org>

	* config.{guess,sub}: update from prep.

2003-06-04  Paul Eggert  <eggert@twinsun.com>

	* srclist.txt ($LIBCSRC/time/mktime.c lib gpl): Comment out for now,
	as glibc mktime is buggy on non-glibc systems.

2003-06-03    <karl@gnu.org>

	* config.sub: update from prep.

2003-06-02    <karl@gnu.org>

	* mkinstalldirs (version): new variable.
	(--version): new option.
	(usage): improve message.

2003-05-29    <karl@gnu.org>

	* config.rpath: update from gettext.

2003-05-24    <karl@gnu.org>

	* config.guess: update from prep.

2003-05-20    <karl@gnu.org>

	* config.guess: update from prep.

2003-05-18    <karl@gnu.org>

	* srclistvars.sh (TEXMF): use TEXMFROOT instead, since TEXMF might
		actually be set by the user.

	* depcomp, install-sh, mdate-sh: update from automake.

2003-05-11    <karl@gnu.org>

	* config.{guess,sub}: update from prep.

2003-01-03    <karl@gnu.org>

	* config.{guess,sub}: update from prep.

2002-12-24    <karl@gnu.org>

	* config.guess: update from prep.

2002-12-19    <karl@gnu.org>

	* config.guess: update from prep.

2002-12-12    <karl@gnu.org>

	* config.guess: update from prep.

2002-11-25    <karl@gnu.org>

	* install-sh: update from automake for variable quoting, $0 in
	error msgs, etc.

	* srclist.txt ($LIBCSRC/time/mktime.c lib gpl): new entry.
	* srclist.txt ($LIBCSRC/sysdeps/generic/strtoll.c lib gpl): new
	entry.

2002-11-14    <karl@gnu.org>

	* mkinstalldirs: `do' on separate line, instead of `for var; do'.

2002-09-28    <karl@gnu.org>

	* srclist.txt: can't copy install-sh/mkinstalldirs from installed
	automake until the next release, since changes have been made.

2002-09-25    <karl@gnu.org>

	* srclist.txt: enable gettext.h check.
	* config.{guess,sub}: update from prep.
	* depcomp, install-sh, mdate-sh, missing, mkinstalldirs: update
		from automake 1.6.3.
	See srclist*.

2002-02-17  Jim Meyering  <meyering@lucent.com>

	* config.guess (main): Don't use `head -1'; it's no longer portable.
        Use `sed 1q' instead.


Copyright (C) 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification,
are permitted provided the copyright notice and this notice are preserved.
